/* ==================== GOOGLE FONTS ====================*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");

/*==================== VARIABLES CSS ====================*/
:root {
  --header-height: 3rem;

  /*========== Colors ==========*/
  /* Change favorite color */
  --hue-color: 190; /*Purple 250 - Green 142 - Blue 230 - Pink 340*/

  /* HSL color mode */
  --first-color: hsl(var(--hue-color), 69%, 61%);
  --first-color-second: hsl(var(--hue-color), 69%, 61%);
  --first-color-alt: hsl(var(--hue-color), 57%, 53%);
  --first-color-lighter: hsl(var(--hue-color), 92%, 85%);
  --title-color: hsl(var(--hue-color), 8%, 15%);
  --text-color: hsl(var(--hue-color), 8%, 45%);
  --text-color-light: hsl(var(--hue-color), 8%, 65%);
  --input-color: hsl(var(--hue-color), 70%, 96%);
  --body-color: hsl(var(--hue-color), 60%, 99%);
  --container-color: #ffffff;
  --scroll-bar-color: hsl(var(--hue-color), 12%, 90%);
  --scroll-thumb-color: hsl(var(--hue-color), 12%, 80%);

  /*========== Font and typography ==========*/
  --body-font: "Poppins", sans-serif;

  /* .5rem = 8px, 1rem = 16px, 1.5rem = 24px ... */
  --big-font-size: 2rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1.125rem;
  --normal-font-size: 0.938rem;
  --small-font-size: 0.813rem;
  --smaller-font-size: 0.75rem;

  /*========== Font weight ==========*/
  --font-medium: 500;
  --font-semi-bold: 600;

  /*========== Margenes Bottom ==========*/
  /* .25rem = 4px, .5rem = 8px, .75rem = 12px ... */
  --mb-0-25: 0.25rem;
  --mb-0-5: 0.5rem;
  --mb-0-75: 0.75rem;
  --mb-1: 1rem;
  --mb-1-5: 1.5rem;
  --mb-2: 2rem;
  --mb-2-5: 2.5rem;
  --mb-3: 3rem;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
  --z-modal: 1000;
}

/* Font size for large devices */
@media screen and (min-width: 968px) {
  :root {
    --big-font-size: 3rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1rem;
    --small-font-size: 0.875rem;
    --smaller-font-size: 0.813rem;
  }
}

/*========== Variables Dark theme ==========*/
body.dark-theme {
  /* HSL color mode */
  --first-color-second: hsl(var(--hue-color), 30%, 8%);
  --title-color: hsl(var(--hue-color), 8%, 95%);
  --text-color: hsl(var(--hue-color), 8%, 45%);
  --text-color-light: hsl(var(--hue-color), 8%, 75%);
  --input-color: hsl(var(--hue-color), 29%, 16%);
  --body-color: hsl(var(--hue-color), 28%, 12%);
  --container-color: hsl(var(--hue-color), 29%, 16%);
  --scroll-bar-color: hsl(var(--hue-color), 12%, 48%);
  --scroll-thumb-color: hsl(var(--hue-color), 12%, 36%);
}

/*==================== BASE ====================*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  /* margin: 0 0 var(--header-height) 0; */
  /* margin: 0; */
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: rgb(21, 26, 23);
  color: var(--text-color);
  /* width: 100%; */
}

 /*---------------scrool da barra de rolagem----------*/

::-webkit-scrollbar {
width: 10px;
}

::-webkit-scrollbar-track {
background: #2a2829;/*#312226 #bc1945 #912846*/
border-radius: 30px;
}

::-webkit-scrollbar-thumb {
background: #6d6a6a;/*#6d6a6a #000000*/
border-radius: 30px;
}

::-webkit-scrollbar-thumb:hover {
  background-color: rgb(37,171,117);/*rgb(37,171,117) #a39d9f #474747*/
}
/*========== layout geral ==========*/
h1,
h2,
h3,
h4 {
  color: white;
  font-weight: var(--font-semi-bold);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  width: 100%;
  height: auto;
}

/*esconder alguma section em construção ou nao usada ainda*/
.hidden-section {
    display: none;
}
/*-------------------------------------*/

.section {
  padding: 2rem 0 4rem;
  margin-bottom: 40px;
  transform: translateX(-0rem);/*mantem o titulo about visivel por cima do video*/
  overflow: hidden;
}

/*=================titulo e subtitulo das sections=======================*/
.section__title {
  font-size: var(--h1-font-size);
  /* margin-top: 100px; *//*ajustar distancia entre os titulos*/
  /* transform: translateX(-0rem); */
}

.section__subtitle {
  display: block;
  font-size: var(--small-font-size);
  /* margin-bottom: var(--mb-2); */
}

.section__title,
.section__subtitle {
  text-align: center;
}

/*=================underline titulos=================*/

.underline-title {
  /* border-top: 5px solid; */
  border-bottom: 5px solid;
  /* border-image: linear-gradient(to right, purple, rgb(37,171,117)); */
  border-color: rgb(37,171,117);
  border-image-slice: 1;
  width:37px;/*37px*/
  margin: 0 auto;
  margin-bottom: 59px;
  margin-top: 0;
  border-radius:5px;
  /*abaixo outra forma de centralizar*/
  /* left: 50%;
  right: 50%;
  position: relative;
  display: block; */
}

.underlineColor {
  border-color: purple!important;
}

.underline-home {
  border-top: 5px solid;
  /* border-bottom: 5px solid; */
  /* border-image: linear-gradient(to right, purple, rgb(37,171,117)); */
  border-color: rgb(37,171,117);
  border-image-slice: 1;
  width:74px;/*37px 74px*/
  /* margin: 0 auto; */
  margin-bottom: 0.46rem;
  border-radius:5px;
  /* margin-left: 60px; */
  /*abaixo outra forma de centralizar*/
  /* left: 50%;
  right: 50%;
  position: relative;
  display: block; */
}

/*==================== LAYOUT ====================*/

.container {
  max-width: 768px;
  margin-left: var(--mb-1-5);
  margin-right: var(--mb-1-5);
}

.grid {
  display: grid;
  gap: 1.5rem;
}


/*==== BUTTONS Scroll Down/ Work, Certifications/ projetos:Site e code / services, send message ===========*/

.button {
  display: inline-block;
  background-color: var(--first-color);
  color: #ffff;
  padding: 1rem;
  border-radius: 0.5rem;
  font-weight: var(--font-medium);
}

.button:hover {
  background-color: var(--first-color-alt);
}

.button__icon {
  font-size: 1.2rem;
  margin-left: var(--mb-0-5);
  transition: 0.3s;
}

.button--white {
  background-color: #fff;
  color: var(--first-color);
}

.button--white:hover {
  background-color: #fff;
}

.button--flex {
  display: inline-flex;
  align-items: center;
  transition: 0.3s;
  cursor: pointer;
}

.button--small {
  padding: 0.75rem 1rem;
}

.button--link {
  padding: 0;
  background-color: transparent;
  color: var(--first-color);
}

.button--link:hover {
  background-color: transparent;
  color: var(--first-color-alt);
}

@media screen and (max-width: 380px) {
  .container {
    margin-left: var(--mb-1);
    margin-right: var(--mb-1);
  }
}

/* For medium devices */
@media (min-width: 568px) {
  .about__container,
  .skills_container,
  .portfolio__content,
  .project__container,
  .contact__container,
  .footer__container {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (min-width: 767px) {
    .container {
        margin-left: auto;
        margin-right: auto;
    }

    .body {
        margin: 0;
    }
    .section {
        padding: 6rem 0 2rem;
    }

    /* .section__subtitle {
        margin-bottom: 4rem;
    } */
} 

@media screen and (min-width: 1024px) {
  body {
    margin: 0;
  }
  .header,
  .main {
    padding: 0;
  }
}


/*========== telegram btn SCROLL UP se mantem no site abaixo canto direito ==========*/
.scrollup {
  position: fixed;
  right: 1rem;
  bottom: -20%;
  background-color: var(--first-color);
  opacity: 0.8;
  padding: 0 0.3rem;
  border-radius: 0.4rem;
  z-index: var(--z-tooltip);
  transition: 0.4s;
}

/* .scrollup:hover {
  background-color: var(--first-color-alt);
  background-color:#86168b
} */

.scrollup__icon {
  /* font-size: 1.5rem; */
  font-size: 3.8rem;
  color: #2191cb;
}

/* Show scroll */
.show-scroll {
  bottom: 5rem;
}

/*------------telegram btn-------------*/

 .icon-pulse {
  /* position: relative; */
  width: 50px;
  height: 50px;
  background: #ffffff;/*#00daea*/
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  /* font-size: 45px; */
  /* color: #2191cb; */
  border: 1px solid #86168b;
}

.icon-pulse:before, .icon-pulse:after {
  content: "";
  position: absolute;
  border-radius: 50%;
  border: 1px solid #86168b;/*#86168b*/
  top: -20px;
  left: -20px;
  right: -20px;
  bottom: -20px;
  /* animation: icon-pulse 1.5s linear infinite; */
  animation: icon-pulse 3s linear infinite;
  opacity: 0;
  /* background-visability: hidden; */
}
.icon-pulse:after {
  /* animation-delay: 0.5s; */
  animation-delay: 2s;
}

@keyframes icon-pulse {
  0% {
    transform: scale(0.5);
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    transform: scale(1.2);
    opacity: 0;
  }
}

/* Mudar a cor da borda ao passar o mouse */
.icon-pulse:hover:before, .icon-pulse:hover:after {
  border-color:#2191cb;
}
